Package org.apache.avro

# Class SchemaBuilder.FieldDefault<R,S extends SchemaBuilder.FieldDefault<R,S>>

java.lang.Object
org.apache.avro.SchemaBuilder.FieldDefault<R,S>

Direct Known Subclasses:
  `SchemaBuilder.ArrayDefault`, `SchemaBuilder.BooleanDefault`, `SchemaBuilder.BytesDefault`, `SchemaBuilder.DoubleDefault`, `SchemaBuilder.EnumDefault`, `SchemaBuilder.FixedDefault`, `SchemaBuilder.FloatDefault`, `SchemaBuilder.IntDefault`, `SchemaBuilder.LongDefault`, `SchemaBuilder.MapDefault`, `SchemaBuilder.NullDefault`, `SchemaBuilder.RecordDefault`, `SchemaBuilder.StringDefault`

Enclosing class:
  `SchemaBuilder`

public abstract static class SchemaBuilder.FieldDefault<R,S extends SchemaBuilder.FieldDefault<R,S>> extends Object
Abstract base class for field defaults.

## Method Summary

Modifier and Type
Method
Description
`final SchemaBuilder.FieldAssembler<R>`
`noDefault()`
Completes this field with no default value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### noDefault

public final SchemaBuilder.FieldAssembler<R> noDefault()
Completes this field with no default value